Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
..
Failed to load latest commit information.
README.md requirements: Improve README's format. May 26, 2018
common.in Fork django-bitfield to save a few hundred ms of startup time Jul 18, 2018
dev.in
dev.txt Fork django-bitfield to save a few hundred ms of startup time Jul 18, 2018
docs.in requirements: Upgrade sphinx-rtd-theme to 0.3.1. May 4, 2018
docs.txt requirements: Upgrade sphinx-rtd-theme to 0.3.1. May 4, 2018
mypy.in mypy: Update mypy to a version from master. May 22, 2018
mypy.txt mypy: Update mypy to a version from master. May 22, 2018
pip.txt requirements: Upgrade setuptools to 39.2.0. May 24, 2018
prod.in
prod.txt Fork django-bitfield to save a few hundred ms of startup time Jul 18, 2018
thumbor.in
thumbor.txt thumbor: Add ldap and django as a dependancy. Jul 14, 2018

README.md

The dependency graph of the requirements is as follows:

dev         prod
+ +          +
| +->common<-+
v
mypy,docs

Of the files, only dev, prod, and mypy have been used in the install scripts directly. The rest are implicit dependencies.

common and dev are locked.

Steps to update a lock file, e.g. to update ipython from 5.3.0 to 6.0.0 in common.in and propagate it to dev.txt and prod.txt: 0. Replace ipython==5.4.1 with ipython==6.0.0 in common.in.

  1. Run ./tools/update-locked-requirements.
  2. Increase PROVISION_VERSION in version.py.
  3. Run ./tools/provision to install the new deps and test them.
  4. Commit your changes.